Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.web
Class JGoImageEventProcessor

    java.lang.Object
      com.nwoods.jgo.web.JGoImageEventProcessor

public class JGoImageEventProcessor
extends java.lang.Object

This class processes the mouse information and other commands contained in the request HttpServletRequest.

Constructor Summary
`JGoImageEventProcessor()`

Method Summary
`void` | `doKeyboard(javax.servlet.http.HttpServletRequest request, JGoView view)` Process the keyboard events contained in the request and apply them to the specified view.
`void` | `doMouse(javax.servlet.http.HttpServletRequest request, JGoView view)` Process the mouse events contained in the request and apply them to the specified view.
`int` | `getModifiers(javax.servlet.http.HttpServletRequest request)` Return the keyboard or mouse modifiers (ctrl, shift, alt) contained in the request as a set of flags or-ed together.
`static java.lang.String` | `getRequestParameter(javax.servlet.http.HttpServletRequest request, java.lang.String p, java.lang.String def)` convenience function for defaulting parameters
`static boolean` | `getRequestParameterBoolean(javax.servlet.http.HttpServletRequest request, java.lang.String p, boolean def)` convenience function for defaulting parameters
`static double` | `getRequestParameterDouble(javax.servlet.http.HttpServletRequest request, java.lang.String p, double def)` convenience function for defaulting parameters
`static int` | `getRequestParameterInt(javax.servlet.http.HttpServletRequest request, java.lang.String p, int def)` convenience function for defaulting parameters
`void` | `processEvents(javax.servlet.http.HttpServletRequest request, JGoView view)` Process the mouse information and other commands contained in the request HttpServeletRequest.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGoImageEventProcessor

    public JGoImageEventProcessor()

Method Detail

### processEvents

    public void processEvents(javax.servlet.http.HttpServletRequest request,
                              JGoView view)

  Process the mouse information and other commands contained in the request HttpServeletRequest. Apply the commands to the specified view.

  Parameters:
    `request` -
    `view` -

### doMouse

    public void doMouse(javax.servlet.http.HttpServletRequest request,
                        JGoView view)

  Process the mouse events contained in the request and apply them to the specified view.

  Parameters:
    `request` -
    `view` -

### doKeyboard

    public void doKeyboard(javax.servlet.http.HttpServletRequest request,
                           JGoView view)

  Process the keyboard events contained in the request and apply them to the specified view.

  Parameters:
    `request` -
    `view` -

### getModifiers

    public int getModifiers(javax.servlet.http.HttpServletRequest request)

  Return the keyboard or mouse modifiers (ctrl, shift, alt) contained in the request as a set of flags or-ed together. The flags are defined in java.awt.event.InputEvent.

  Parameters:
    `request` -
  Returns:

### getRequestParameter

    public static java.lang.String getRequestParameter(javax.servlet.http.HttpServletRequest request,
                                                       java.lang.String p,
                                                       java.lang.String def)

  convenience function for defaulting parameters

  Parameters:
    `request` -
    `p` - parameter whose value is requested
    `def` - default value
  Returns:

### getRequestParameterInt

    public static int getRequestParameterInt(javax.servlet.http.HttpServletRequest request,
                                             java.lang.String p,
                                             int def)

  convenience function for defaulting parameters

  Parameters:
    `request` -
    `p` - parameter whose value is requested
    `def` - default avlue
  Returns:

### getRequestParameterDouble

    public static double getRequestParameterDouble(javax.servlet.http.HttpServletRequest request,
                                                   java.lang.String p,
                                                   double def)

  convenience function for defaulting parameters

  Parameters:
    `request` -
    `p` - parameter whose value is requested
    `def` - default value
  Returns:

### getRequestParameterBoolean

    public static boolean getRequestParameterBoolean(javax.servlet.http.HttpServletRequest request,
                                                     java.lang.String p,
                                                     boolean def)

  convenience function for defaulting parameters

  Parameters:
    `request` -
    `p` - parameter whose value is requested
    `def` - default value
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD